MKFS.MINIX(8)

BEZEICHNUNG
mkfs.minix - ein Minix-Dateisystem erstellen

ÜBERSICHT

mkfs.minix [Optionen] Gerät [Größe-in-Blöcken]

BESCHREIBUNG

mkfs.minix erstellt ein Linux-MINIX-Dateisystem auf einem Gerät (üblicherweise einer Laufwerkspartition).

Das Gerät hat für gewöhnlich die folgende Form:

    /dev/hda[1-8] (IDE-Platte 1)
    /dev/hdb[1-8] (IDE-Platte 2)
    /dev/sda[1-8] (SCSI-Platte 1)
    /dev/sdb[1-8] (SCSI-Platte 2)

Das Gerät kann ein blockorientiertes Gerät oder eine Abbilddatei davon sein, aber das ist nicht zwingend erforderlich. Doch erwarten Sie nicht zu viel von einem zeichenorientierten Gerät :-).

Der Parameter Größe-in-Blöcken ist die gewünschte Größe des Dateisystems in Blöcken. Dies ist nur aus Gründen der Abwärtskompatibilität vorhanden. Falls nicht angegeben, wird die Größe automatisch ermittelt. Es sind nur Blockanzahlen unbedingt größer als 10 und kleiner als 65536 erlaubt.

OPTIONEN

-c, --check
    überprüft das Gerät auf fehlerhafte Blöcke, bevor das Dateisystem erstellt wird. Falls welche gefunden werden, wird deren Anzahl ausgegeben.

-n, --namelength Länge
    gibt die maximal zulässige Länge für Dateinamen an. Gegenwärtig sind nur 14 und 30 für die Dateisystemversionen 1 und 2 als Werte zulässig. Version 3 erlaubt lediglich den Wert 60. Der voreingestellte Wert ist 30.

--lock[=Modus]
    verwendet eine exklusive BSD-Sperre für das Gerät oder die Datei, auf dem/der es agiert. Das optionale Argument Modus kann yes, no (oder 1 und 0) oder nonblock sein. Falls das Argument Modus weggelassen wird, wird standardmäßig yes angenommen. Diese Option setzt die Umgebungsvariable $LOCK_BLOCK_DEVICE außer Kraft. Standardmäßig wird überhaupt keine Sperre gesetzt, dies wird aber empfohlen, um Kollisionen mit systemd-udevd(8) oder anderen Werkzeugen zu vermeiden.

-N, --inodes Anzahl
    gibt die Anzahl der Inodes für das Dateisystem an.

-l, --badblocks Dateiname
    liest die Liste der fehlerhaften Blöcke aus Dateiname. Die Datei muss pro Zeile eine Nummer eines fehlerhaften Blocks enthalten. Die Anzahl der gelesenen fehlerhaften Blöcke wird ausgegeben.

-1
    erstellt ein Minix-Dateisystem der Version 1. Dies ist die Voreinstellung.

-2, -v
    erstellt ein Minix-Dateisystem der Version 2.

-3
    erstellt ein Minix-Dateisystem der Version 3.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm. Die Langform dieser Option kann nicht mit anderen Optionen kombiniert werden.

UMGEBUNGSVARIABLEN

LOCK_BLOCK_DEVICE=<Modus>
    verwendet eine exklusive BSD-Sperre. Der Modus ist »1« oder »0«. Siehe --lock für weitere Details.

EXIT-STATUS

mkfs.minix gibt einen der folgenden Exit-Status zurück:

0
    Keine Fehler

8
    Betriebsfehler

16
    Aufruf- oder Syntaxfehler

SIEHE AUCH

fsck(8), mkfs(8), reboot(8)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl mkfs.minix ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.